Subject: bug#44629: 28.0.50; Eglot noisy with gfm-view-mode and view-read-only

From: João Távora <[email-masked]>
Date: Tue, 17 Nov 2020 22:55:50 +0000

"Basil L. Contovounesios" <[email-masked]> writes:

>> This doesn't change the fact that jsonrpc.el's use of `read-only-mode` 
>> should probably be replaced by a simple setting of buffer-read-only,
>> but it could avoid the change to eglot when it calls `gfm-view-mode`.
>> Though maybe that change could be there, too.
>
> See my thoughts above on why Eglot needn't be changed in this regard.

They make sense.

> How's the attached patch for view.el and jsonrpc.el?

Looks good, and the mini-refactoring in jsonrpc.el is also welcome.

IMO, this doesn't need to be called out in NEWS.  But let's hear from
Lars.

João